Universes Management
Get Universes
List the available universes
GET
https://api.textreveal.com/v3/universes
Request
Parameters
sizeintegerNumber of records per page
Default: 10Range: [1, 1000]search_afteruuidThe last ID on the page you're currently on when you want to fetch the next page.
typestring (enum)Universe visibility and access level.
-
PRIVATE: visible and manageable by the owner only. -
SHARED: visible to the owner and company members, manageable by the owner. -
SESAMM: visible to company members, not manageable.
-
Response
Properties of the universes
data*object[]Properties of the universes. Only the universes available for your company are returned.
size*integerNumber of records per page requested.
Example: 1has_next*booleanTrue if there are more records available.
Example: truecount*integerNumber of records returned in the current page.
Example: 1search_after*string | nullCursor for next page.
Response
{
"data": [
{
"universe_name": "Tech Asian companies",
"universe_id": "00000000-0000-0000-0000-000000000000",
"type": "PRIVATE",
"description": "The Asian companies that are in the Tech sector"
}
],
"size": 1,
"has_next": true,
"count": 1,
"search_after": "string"
}Error
Bad request
message*stringError message.
Example: "The server returned an unexpected response"code*integerError code.
Example: 400reason*string (enum)Error reason.
Values: "invalid", "timeout", "offline", "unknown", "not_found", "unauthorized", "forbidden", "internal", "too_many_requests"errorsobject[]Possible error causes, like query params, headers or body.
Response
{
"message": "The server returned an unexpected response",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "Expected number, received string",
"field": "size",
"reason": "invalid_type"
}
]
}Not authorized
message*stringExample: "Not authorized to access this resource"code*numberError code.
reason*string
Response
{
"message": "Not authorized to access this resource",
"code": 0,
"reason": "string"
}